[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPCustomHashTable.HashFunction

Hash function currently in use

## Declaration

Source position: contnrs.pp line 391

`public property TFPCustomHashTable.HashFunction : THashFunction read FHashFunction write SetHashFunction;`

## Description

HashFunction is the hash function currently in use to calculate hash values from keys. The property can be set, this simply calls SetHashFunction. Note that setting the hash function does NOT cause the hash value of all keys to be recomputed, so changing the value while there are still keys in the table is not a good idea.

## See also

HashTableSize |  | Size of the hash table